mbed TLS v2.16.5

Macros
bn_mul.h File Reference

Multi-precision integer library. More...

`#include "config.h"`
`#include "bignum.h"`
Include dependency graph for bn_mul.h:

Go to the source code of this file.

## Macros
#define | asm __asm
#define | MULADDC_INIT
#define | MULADDC_CORE
#define | MULADDC_STOP }

## Detailed Description

Multi-precision integer library.

Definition in file bn_mul.h.

## Macro Definition Documentation

## ◆ asm

#define asm __asm

Definition at line 52 of file bn_mul.h.

## ◆ MULADDC_CORE

#define MULADDC_CORE

Value:
r = *(s++) * (mbedtls_t_udbl) b; \
r0 = (mbedtls_mpi_uint) r; \
r1 = (mbedtls_mpi_uint)( r >> biL ); \
r0 += c; r1 += (r0 < c); \
r0 += *d; r1 += (r0 < *d); \
c = r1; *(d++) = r0;

Definition at line 877 of file bn_mul.h.

## ◆ MULADDC_INIT

#define MULADDC_INIT

Value:
{ \
mbedtls_t_udbl r; \
mbedtls_mpi_uint r0, r1;

Definition at line 872 of file bn_mul.h.

## ◆ MULADDC_STOP

#define MULADDC_STOP }

Definition at line 885 of file bn_mul.h.

mbedtls_mpi_uint
uint32_t mbedtls_mpi_uint
Definition: bignum.h:171
mbedtls_t_udbl
uint64_t mbedtls_t_udbl
Definition: bignum.h:173